ByteChef LogoByteChef
Backend (API Key)User Workflows

Update an existing workflow from a natural language prompt

Update an existing workflow for a connected user identified by external user id from a natural language prompt using AI Copilot.

POST
/{externalUserId}/automation/workflows/{workflowUuid}/generate

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

externalUserId*string

The external user id.

workflowUuid*string

The uuid of the workflow to update.

Header Parameters

X-Environment?string

The environment.

Value in

  • "DEVELOPMENT"
  • "STAGING"
  • "PRODUCTION"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/string/automation/workflows/string/generate" \  -H "Content-Type: application/json" \  -d '{    "prompt": "string"  }'
"string"

How is this guide?